NX Open C++ Reference Guide
|
Builder for creating Circular Imprint
To create a new instance of this class, use CAE::AbstractionManager::CreateCircularImprintBuilder
Created in NX7.5.0.
More...
Public Types | |
enum | AroundEdgeDiaType { AroundEdgeDiaTypeAbsolute, AroundEdgeDiaTypeRelative } |
Around Edge Diameter Option. More... | |
Public Member Functions | |
NXOpen::Expression * | AbsoluteDiaAroundEdge () |
Returns an absolute dia around edge Created in NX7.5.0. | |
NXOpen::Expression * | AbsoluteDiaAroundPoint () |
Returns an absolute dia around point Created in NX7.5.0. | |
NXOpen::CAE::CircularImprintBuilder::AroundEdgeDiaType | AroundEdgeDiaOption () |
Returns an around edge dia option Created in NX7.5.0. | |
double | DiaScaleFactor () |
Returns the dia scale factor Created in NX7.5.0. | |
NXOpen::SelectTaggedObjectList * | EdgeSelection () |
Returns the selected edge/point object(s) Created in NX7.5.0. | |
void | SetAroundEdgeDiaOption (NXOpen::CAE::CircularImprintBuilder::AroundEdgeDiaType methodOption) |
Sets an around edge dia option Created in NX7.5.0. | |
void | SetDiaScaleFactor (double dia) |
Sets the dia scale factor Created in NX7.5.0. | |
NXOpen::SelectTaggedObjectList * | SurfaceSelection () |
Returns the selected surface object(s) Created in NX7.5.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Builder for creating Circular Imprint
To create a new instance of this class, use CAE::AbstractionManager::CreateCircularImprintBuilder
Created in NX7.5.0.
Around Edge Diameter Option.
NXOpen::Expression* NXOpen::CAE::CircularImprintBuilder::AbsoluteDiaAroundEdge | ( | ) |
Returns an absolute dia around edge
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::CAE::CircularImprintBuilder::AbsoluteDiaAroundPoint | ( | ) |
Returns an absolute dia around point
Created in NX7.5.0.
License requirements : None
NXOpen::CAE::CircularImprintBuilder::AroundEdgeDiaType NXOpen::CAE::CircularImprintBuilder::AroundEdgeDiaOption | ( | ) |
Returns an around edge dia option
Created in NX7.5.0.
License requirements : None
double NXOpen::CAE::CircularImprintBuilder::DiaScaleFactor | ( | ) |
Returns the dia scale factor
Created in NX7.5.0.
License requirements : None
NXOpen::SelectTaggedObjectList* NXOpen::CAE::CircularImprintBuilder::EdgeSelection | ( | ) |
Returns the selected edge/point object(s)
Created in NX7.5.0.
License requirements : None
void NXOpen::CAE::CircularImprintBuilder::SetAroundEdgeDiaOption | ( | NXOpen::CAE::CircularImprintBuilder::AroundEdgeDiaType | methodOption | ) |
Sets an around edge dia option
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling")
methodOption | methodoption |
void NXOpen::CAE::CircularImprintBuilder::SetDiaScaleFactor | ( | double | dia | ) |
Sets the dia scale factor
Created in NX7.5.0.
License requirements : nx_masterfem ("Finite Element Modeling")
dia | dia |
NXOpen::SelectTaggedObjectList* NXOpen::CAE::CircularImprintBuilder::SurfaceSelection | ( | ) |
Returns the selected surface object(s)
Created in NX7.5.0.
License requirements : None